# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/icu/Attic/icu-4.0.1.ebuild,v 1.11 2010/10/02 22:30:45 arfrever dead $

EAPI="2"

inherit eutils versionator

DESCRIPTION="International Components for Unicode (4.0 Libs only)"
HOMEPAGE="http://www.icu-project.org/ http://ibm.com/software/globalization/icu/"

BASEURI="http://download.icu-project.org/files/${PN}4c/${PV}"
DOCS_PV="$(get_version_component_range 1-2)"
DOCS_BASEURI="http://download.icu-project.org/files/${PN}4c/${DOCS_PV}"
DOCS_PV="${DOCS_PV/./_}"
SRCPKG="${PN}4c-${PV//./_}-src.tgz"

SRC_URI="${BASEURI}/${SRCPKG}"

LICENSE="BSD"
SLOT="4.0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 s390 sh sparc x86 ~x86-fbsd"
IUSE="debug doc examples"

DEPEND="doc? ( app-arch/unzip )"
RDEPEND=""

S="${WORKDIR}/${PN}/source"

src_prepare() {
	# Do not hardcode used CFLAGS, LDFLAGS etc. into icu-config
	# Bug 202059
	# http://bugs.icu-project.org/trac/ticket/6102
	for x in CFLAGS CXXFLAGS CPPFLAGS LDFLAGS ; do
		sed -i -e "/^${x} =.*/s:@${x}@::" config/Makefile.inc.in || die "sed failed"
	done

	# Bug 258377
	sed -i -e 's:^#elif$:#else:g' ${S}/layoutex/ParagraphLayout.cpp || die 'elif sed failed'

	epatch "${FILESDIR}/${P}-fix_parallel_building.patch"
	epatch "${FILESDIR}/${P}-TestDisplayNamesMeta.patch"
}

src_configure() {
	econf \
		--enable-static \
		$(use_enable debug) \
		$(use_enable examples samples)
}

src_install() {
	emake -j1 DESTDIR="${D}" install || die "emake install failed"
	rm -rf "${D}"/usr/bin
	rm -rf "${D}"/usr/include
	rm -rf "${D}"/usr/lib*/*.so
	rm -rf "${D}"/usr/lib*/*.a
	rm -rf "${D}"/usr/lib*/icu
	rm -rf "${D}"/usr/sbin
	rm -rf "${D}"/usr/share
	dohtml ../readme.html
	dodoc ../unicode-license.txt
}
